%define	upstream_name	 File-chmod
%define	upstream_version 0.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Implements symbolic and ls chmod modes  
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::chmod is a utility that allows you to bypass system calls or bit
processing of a file's permissions. It overloads the chmod() function with its
own that gets an octal mode, a symbolic mode (see below), or an "ls" mode (see
below). If you wish not to overload chmod(), you can export symchmod() and
lschmod(), which take, respectively, a symbolic mode and an "ls" mode.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3*/*
%{perl_vendorlib}/File

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.390.0-2.mga4
+ Revision: 534871
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 0.390.0-1.mga4
+ Revision: 479860
- update to 0.39

* Mon Sep 09 2013 sander85 <sander85> 0.380.0-1.mga4
+ Revision: 476603
- update to 0.38

* Sun Sep 08 2013 sander85 <sander85> 0.340.0-1.mga4
+ Revision: 476309
- update to 0.34

* Sun Jan 13 2013 umeabot <umeabot> 0.320.0-2.mga3
+ Revision: 367429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 30400
- mageia rebuild
- imported package perl-File-chmod


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.320.0-1mdv2010.0
+ Revision: 403167
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.32-3mdv2009.0
+ Revision: 256875
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.32-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2008.0
+ Revision: 64584
- import perl-File-chmod


* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2008.0
- first mdv release
